# $Revision: 1.5 $, $Date: 2004/05/07 00:32:05 $
#
# Conditional build:
%bcond_without tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	XML
%define	pnam	RegExp
Summary:	XML::RegExp - regular expressions for XML tokens
Summary(pl):	XML::RegExp - wyraenia regularne dla tokenw XML
Name:		perl-XML-RegExp
Version:	0.03
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5826b24e0d05714e25c2bb04e1f1c09b
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-libxml-enno
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains regular expressions for the following XML
tokens: BaseChar, Ideographic, Letter, Digit, Extender, CombiningChar,
NameChar, EntityRef, CharRef, Reference, Name, NmToken, and AttValue.

%description -l pl
Ten pakiet zawiera wyraenia regularne dla nastpujcych tokenw XML:
BaseChar, Ideographic, Letter, Digit, Extender, CombiningChar,
NameChar, EntityRef, CharRef, Reference, Name, NmToken oraz AttValue.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/XML/RegExp.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-RegExp.spec,v $
Revision 1.5  2004/05/07 00:32:05  ankry
- rel. 2

Revision 1.4  2004/05/06 18:43:24  ankry
- fixed perl-devel BR

Revision 1.3  2004/05/04 23:29:47  ankry
- kill perl-libxml-enno

Revision 1.2  2003/10/09 23:07:24  qboosh
- pl, some unifications

Revision 1.1  2003/10/06 15:07:26  migo
- initial release
